<div
  class="bg-black/50 fixed top-0 right-0 left-0 bottom-0"
  (click)="modalService.close()"
></div>

<div
  class="w-[500px] absolute top-16 rounded p-6 bg-white left-1/2 -translate-x-1/2"
>
  <h1 class="text-center mb-2 text-2xl">{{ title | titlecase }}</h1>


  <ng-content></ng-content>
</div>